You are viewing a plain text version of this content. The canonical link for it is here.
Posted to common-commits@hadoop.apache.org by to...@apache.org on 2011/12/12 21:48:07 UTC

svn commit: r1213434 - /hadoop/common/branches/branch-0.23/dev-support/test-patch.sh

Author: tomwhite
Date: Mon Dec 12 20:48:06 2011
New Revision: 1213434

URL: http://svn.apache.org/viewvc?rev=1213434&view=rev
Log:
Merge -r 1213431:1213432 from trunk to branch-0.23. Fixes: HADOOP-7912

Modified:
    hadoop/common/branches/branch-0.23/dev-support/test-patch.sh

Modified: hadoop/common/branches/branch-0.23/dev-support/test-patch.sh
URL: http://svn.apache.org/viewvc/hadoop/common/branches/branch-0.23/dev-support/test-patch.sh?rev=1213434&r1=1213433&r2=1213434&view=diff
==============================================================================
--- hadoop/common/branches/branch-0.23/dev-support/test-patch.sh (original)
+++ hadoop/common/branches/branch-0.23/dev-support/test-patch.sh Mon Dec 12 20:48:06 2011
@@ -584,6 +584,35 @@ $JIRA_COMMENT_FOOTER"
 }
 
 ###############################################################################
+### Verify eclipse:eclipse works
+checkEclipseGeneration () {
+  echo ""
+  echo ""
+  echo "======================================================================"
+  echo "======================================================================"
+  echo "    Running mvn eclipse:eclipse."
+  echo "======================================================================"
+  echo "======================================================================"
+  echo ""
+  echo ""
+
+  echo "$MVN eclipse:eclipse -D${PROJECT_NAME}PatchProcess"
+  $MVN eclipse:eclipse -D${PROJECT_NAME}PatchProcess
+  if [[ $? != 0 ]] ; then
+      JIRA_COMMENT="$JIRA_COMMENT
+
+    -1 eclipse:eclipse.  The patch failed to build with eclipse:eclipse."
+    return 1
+  fi
+  JIRA_COMMENT="$JIRA_COMMENT
+
+    +1 eclipse:eclipse.  The patch built with eclipse:eclipse."
+  return 0
+}
+
+
+
+###############################################################################
 ### Run the tests
 runTests () {
   echo ""
@@ -788,6 +817,8 @@ checkJavadocWarnings
 (( RESULT = RESULT + $? ))
 checkJavacWarnings
 (( RESULT = RESULT + $? ))
+checkEclipseGeneration
+(( RESULT = RESULT + $? ))
 ### Checkstyle not implemented yet
 #checkStyle
 #(( RESULT = RESULT + $? ))